using System.IO;

namespace Server.Core
{
    public static class ServerConst
    {
        private static bool? isTest;
        
        /// <summary>
        /// 是否测试环境
        /// </summary>
        public static bool IsTest
        {
            get
            {
                if (!isTest.HasValue)
                {
                    isTest = !File.Exists("c:/release");
                }

                return isTest.Value;
            }
        }

        public static int MainThreadId;
    }
}